Bug 168313 - CVE-2005-2708 user code panics kernel in exec.c
CVE-2005-2708 user code panics kernel in exec.c
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Don Howard
Brian Brock
source=bz,reported=20050628,public=20...
: Security
: 168666 (view as bug list)
Depends On:
Blocks: 143573
  Show dependency treegraph
 
Reported: 2005-09-14 16:50 EDT by Don Howard
Modified: 2007-11-30 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2006-0190
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-01 12:46:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 Mark J. Cox (Product Security) 2005-09-20 04:21:42 EDT
*** Bug 168666 has been marked as a duplicate of this bug. ***
Comment 5 Mark J. Cox (Product Security) 2006-01-23 06:23:08 EST
See Bug #161925 for details of this issue

"The search_binary_handler function in exec.c in Linux 2.4 kernel on 64-bit x86
architectures does not check a return code for a particular function call when
virtual memory is low, which allows local users to cause a denial of service
(panic), as demonstrated by running a process using the bash ulimit -v command."
Comment 8 Red Hat Bugzilla 2006-02-01 12:46:00 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0190.html

Note You need to log in before you can comment on or make changes to this bug.